'use strict';
const { CrudService } = require('naf-framework-mongoose-free/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;
const _ = require('lodash');
const assert = require('assert');

//
class MatchSignService extends CrudService {
  constructor(ctx) {
    super(ctx, 'matchsign');
    this.model = this.ctx.model.Race.MatchSign;
  }
  /**
   * 检查是否已经有该赛事,该组别,该项目的报名
   * @param {Object} body 参数体
   */
  async beforeCreate(body) {
    return body;
  }
}

module.exports = MatchSignService;
